GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Functions
httpcli.c File Reference
`#include "src/core/iomgr/sockaddr.h"`
`#include "src/core/httpcli/httpcli.h"`
`#include <string.h>`
`#include "src/core/iomgr/endpoint.h"`
`#include "src/core/iomgr/resolve_address.h"`
`#include "src/core/iomgr/tcp_client.h"`
`#include "src/core/httpcli/format_request.h"`
`#include "src/core/httpcli/httpcli_security_connector.h"`
`#include "src/core/httpcli/parser.h"`
`#include "src/core/security/secure_transport_setup.h"`
`#include <grpc/support/alloc.h>`
`#include <grpc/support/log.h>`
`#include <grpc/support/string_util.h>`

## Data Structures
struct | internal_request

## Functions
void | grpc_httpcli_context_init (grpc_httpcli_context *context)
void | grpc_httpcli_context_destroy (grpc_httpcli_context *context)
void | grpc_httpcli_get (grpc_httpcli_context *context, grpc_pollset *pollset, const grpc_httpcli_request *request, gpr_timespec deadline, grpc_httpcli_response_cb on_response, void *user_data)
void | grpc_httpcli_post (grpc_httpcli_context *context, grpc_pollset *pollset, const grpc_httpcli_request *request, const char *body_bytes, size_t body_size, gpr_timespec deadline, grpc_httpcli_response_cb on_response, void *user_data)
void | grpc_httpcli_set_override (grpc_httpcli_get_override get, grpc_httpcli_post_override post)

## Function Documentation

void grpc_httpcli_context_destroy | ( | grpc_httpcli_context * | context | ) |

void grpc_httpcli_context_init | ( | grpc_httpcli_context * | context | ) |

void grpc_httpcli_get | ( | grpc_httpcli_context * | context,
|  | grpc_pollset * | pollset,
|  | const grpc_httpcli_request * | request,
|  | gpr_timespec | deadline,
|  | grpc_httpcli_response_cb | on_response,
|  | void * | user_data
| ) |  |

void grpc_httpcli_post | ( | grpc_httpcli_context * | context,
|  | grpc_pollset * | pollset,
|  | const grpc_httpcli_request * | request,
|  | const char * | body_bytes,
|  | size_t | body_size,
|  | gpr_timespec | deadline,
|  | grpc_httpcli_response_cb | on_response,
|  | void * | user_data
| ) |  |

void grpc_httpcli_set_override | ( | grpc_httpcli_get_override | get,
|  | grpc_httpcli_post_override | post
| ) |  |